Subject: Re: [PATCH v2 1/9] odb: store locality in object database sources

From: Taylor Blau <[email-masked]>
Date: Thu, 7 Aug 2025 18:10:39 -0400

On Thu, Aug 07, 2025 at 10:09:51AM +0200, Patrick Steinhardt wrote:
> Object database sources are classified either as:
>
>   - Local, which means that the source is the repository's primary
>     source. This is typically ".git/objects".
>
>   - Non-local, which is everything else. Most importantly this includes
>     alternates and quarantine directories.
>
> This locality is often computed ad-hoc by checking whether a given
> object source is the first one. This works, but it is quite roundabout.
>
> Refactor the code so that we store locality when creating the sources in
> the first place. This makes it both more accessible and robust.

Looking good. The only caller here is packfile.c::prepare_packed_git(),
which passes local when "source == r->objects->sources". Assuming that
->local is faithfully set to true in that case, this change looks good
to me.

Thanks,
Taylor